XPCI(4)

NAME
xpci - Xen frontend paravirtualized PCI pass-through driver

SYNOPSIS
xpci* at xenbus?
pci* at xpci?

DESCRIPTION
The xpci driver is the frontend part of the PCI pass-through functionality that can be used by Xen guest domains to communicate with PCI devices.

From a guest point of view, xpci is similar to a pci(4) bus, except that the guest talks with the PCI backend driver instead of the real physical device directly.

When the host domain is NetBSD, the xpci driver is backed by a pciback(4) driver within the dom0.

SEE ALSO
pci(4), pciback(4), xenbus(4)

HISTORY
The xpci driver first appeared in NetBSD 5.1.

AUTHORS
-nosplit The xpci driver was written by Manuel Bouyer <bouyer@NetBSD.org>.

SECURITY CONSIDERATIONS
As PCI passthrough offers the possibility for guest domains to send arbitrary PCI commands to a physical device, this has direct impact on the overall stability and security of the system. For example, in case of erroneous or malicious commands, the device could overwrite physical memory portions, via DMA.